%{!?svn_rev:%define svn_rev 0}

%define debug_package %{nil}

Summary: HRB System
Name: hrb-system
Version: 1.0
Release: 2.%{svn_rev}%{?dist}
License: GPL
Group: System Environment/Base
URL: http://afi.jinr.ru/HRB
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: qt5-qtbase-devel
Requires: qt5-qtbase-mysql
Requires: mstream
BuildRequires: desktop-file-utils

%description
HRB System

%prep
%setup -q

%build
make %{?_smp_mflags} svn_rev=%{svn_rev} NODEBUG=yes

%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}%{_prefix}

# Install desktop stuff
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
install -m 644 -T src/hrb-system/mwpc_128px.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.png

desktop-file-install --vendor afielectronics			\
	--dir ${RPM_BUILD_ROOT}%{_datadir}/applications		\
	--add-category X-AFI-Electronics			\
	src/hrb-system/%{name}.desktop

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc ChangeLog COPYING README
%defattr(0755,root,root)
%{_bindir}/*
%{_datadir}/pixmaps/%{name}*
%{_datadir}/applications/*

%changelog
* Tue Dec  9 2014  <ilja.slepnev@jinr.ru> - 1.0
- Initial build.
